{
  "name": "zhipinghuiyi",
  "title": "智评会议",
  "author": {
    "name": "重庆树人教育研究院",
    "email": "mxp131011@qq.com"
  },
  "homepage": "https://gitee.com",
  "copyright": "重庆树人教育研究院",
  "version": "1.0.38",
  "description": "智评会议",
  "license": "private",
  "type": "module",
  "scripts": {
    "dev": "tauri dev --features development",
    "build": "node vite/scripts/build.ts --features production",
    "build:150_8080": "node vite/scripts/build.ts --features prod_150_8080",
    "安装": "pnpm install",
    "更新:web": "ncu -u",
    "更新:tauri-兼容": "cd src-tauri && cargo update",
    "更新:tauri-不兼容": "cd src-tauri && cargo update",
    "更新:tauri-lock": "cd src-tauri && cargo update",
    "删除": "rimraf pnpm-lock.yaml && rimraf package-lock.json && rimraf yarn.lock && rimraf .yarn && rimraf node_modules",
    "lint:ts:app": "vue-tsc -p tsconfig.app.json --noEmit --skipLibCheck",
    "lint:ts:node": "tsc -p tsconfig.node.json --noEmit --skipLibCheck",
    "lint:prettier": "prettier --write \"{src,vite}/**/*.{js,json,json5,vue,ts,jsx,cjs,mjs,tsx,cts,mts,wxss,wxml,wxs,css,scss}\"",
    "lint:eslint": "eslint \"{src,vite}/**/*.{vue,js,ts,tsx}\" --fix",
    "lint:stylelint": "stylelint \"{src,vite}/**/*.{css,scss,vue}\" --fix",
    "lint": "pnpm lint:eslint && pnpm lint:prettier && pnpm lint:stylelint",
    "clean:cache": "rimraf .eslintcache && rimraf pnpm-lock.yaml && rimraf node_modules && pnpm store prune && pnpm install",
    "prepare": "husky",
    "rust清理构建缓存": "cd src-tauri && cargo clean",
    "rust代码合法检测": "cd src-tauri && cargo check",
    "rust代码质量检测": "cd src-tauri &&cargo clippy"
  },
  "dependencies": {
    "@formkit/auto-animate": "^0.9.0",
    "@sapphire/snowflake": "^3.5.5",
    "@tauri-apps/api": "^2.10.1",
    "@tauri-apps/plugin-dialog": "^2.6.0",
    "@tauri-apps/plugin-fs": "^2.4.5",
    "@tauri-apps/plugin-http": "^2",
    "@tauri-apps/plugin-os": "^2.3.2",
    "@tauri-apps/plugin-process": "^2",
    "@tauri-apps/plugin-store": "^2.4.2",
    "@tauri-apps/plugin-updater": "^2.10.0",
    "@tauri-apps/plugin-websocket": "^2.4.2",
    "@tauri-apps/plugin-window-state": "^2.4.1",
    "@types/jsrsasign": "^10.5.15",
    "@vueuse/core": "^14.2.1",
    "accessible-nprogress": "^2.1.2",
    "agora-rtc-sdk-ng": "^4.24.2",
    "ali-oss": "^6.23.0",
    "axios": "^1.13.6",
    "base62": "^2.0.2",
    "dayjs": "^1.11.20",
    "echarts": "^6.0.0",
    "element-plus": "^2.13.5",
    "eventemitter3": "^5.0.4",
    "hash-wasm": "^4.12.0",
    "jsrsasign": "^11.1.1",
    "mitt": "^3.0.1",
    "node-machine-id": "^1.1.12",
    "pinia": "^3.0.4",
    "pinyin-pro": "^3.28.0",
    "pupa": "^3.3.0",
    "simple-keyboard": "^3.8.120",
    "simple-keyboard-layouts": "^3.4.179",
    "socket.io-client": "^4.8.3",
    "store2": "^2.14.4",
    "unplugin-icons": "^23.0.1",
    "unused-filename": "^4.0.1",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue": "^3.5.30",
    "vue-router": "^5.0.3",
    "vue-slicksort": "^2.0.5"
  },
  "devDependencies": {
    "@commitlint/cli": "^20.4.4",
    "@commitlint/config-conventional": "^20.4.4",
    "@commitlint/cz-commitlint": "^20.4.4",
    "@commitlint/types": "^20.4.4",
    "@element-plus/icons-vue": "^2.3.2",
    "@eslint/js": "^10.0.1",
    "@iconify-json/carbon": "^1.2.19",
    "@iconify-json/ep": "^1.2.4",
    "@iconify-json/fluent": "^1.2.40",
    "@iconify-json/hugeicons": "^1.2.23",
    "@iconify-json/line-md": "^1.2.16",
    "@iconify-json/lucide": "^1.2.97",
    "@iconify-json/mdi": "^1.2.3",
    "@iconify-json/pepicons-pencil": "^1.2.3",
    "@iconify-json/ph": "^1.2.2",
    "@iconify-json/solar": "^1.2.5",
    "@iconify-json/streamline-ultimate": "^1.2.2",
    "@iconify-json/tabler": "^1.2.31",
    "@iconify-json/tdesign": "^1.2.12",
    "@tauri-apps/cli": "^2.10.1",
    "@tsconfig/node24": "^24.0.4",
    "@types/ali-oss": "^6.23.3",
    "@types/fs-extra": "^11.0.4",
    "@types/hammerjs": "^2.0.46",
    "@types/node": "^25.5.0",
    "@vitejs/plugin-vue": "^6.0.5",
    "@vue/tsconfig": "^0.9.0",
    "eslint": "^10.0.3",
    "eslint-config-prettier": "^10.1.8",
    "eslint-plugin-jsdoc": "^62.8.0",
    "eslint-plugin-vue": "^10.8.0",
    "fast-glob": "^3.3.3",
    "fs-extra": "^11.3.4",
    "globals": "^17.4.0",
    "husky": "^9.1.7",
    "lint-staged": "^16.3.3",
    "postcss": "^8.5.8",
    "postcss-html": "^1.8.1",
    "prettier": "^3.8.1",
    "sass": "^1.98.0",
    "sharp": "^0.34.5",
    "stylelint": "^17.4.0",
    "stylelint-config-html": "^1.1.0",
    "stylelint-config-recommended-scss": "^17.0.0",
    "stylelint-order": "^8.0.0",
    "stylelint-scss": "^7.0.0",
    "typescript": "~5.9.3",
    "typescript-eslint": "^8.57.0",
    "unplugin-auto-import": "^21.0.0",
    "unplugin-vue-components": "^31.0.0",
    "vite": "^8.0.0",
    "vite-auto-deploy": "^2.0.34",
    "vite-plugin-banner": "^0.8.1",
    "vite-plugin-image-optimizer": "^2.0.3",
    "vite-plugin-vue-devtools": "^8.0.7",
    "vue-eslint-parser": "^10.4.0",
    "vue-tsc": "^3.2.5"
  },
  "lint-staged": {
    "{src,vite}/**/*.{vue,js,ts,tsx}": [
      "eslint --fix"
    ],
    "{src,vite}/**/*.{js,json,json5,vue,ts,jsx,cjs,mjs,tsx,cts,mts,wxss,wxml,wxs,css,scss}": [
      "prettier --write"
    ],
    "{src,vite}/**/*.{css,scss,vue}": [
      "stylelint --fix"
    ]
  },
  "config": {
    "commitizen": {
      "path": "@commitlint/cz-commitlint"
    }
  }
}
